package com.goafanti.common.dao;

import java.util.Map;

import com.goafanti.common.model.ValueEvaluation;

public interface ValueEvaluationMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ValueEvaluation record);

    int insertSelective(ValueEvaluation record);

    ValueEvaluation selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ValueEvaluation record);

    int updateByPrimaryKey(ValueEvaluation record);

	ValueEvaluation selectByPrimaryKeyAndUser(Map<String, Object> params);
	
	int deleteRecords(Map<String, Object> params);
}